(* File "amlazy.sml" 

   Implementation of lazy abstract machine.
   With constructors, base values, and base value stack.
   Scanner, parser and compiler.
   No type inference and hence no systematic printing.
*)

load "Commands";
open Commands;

val ones = pc "letrec x = pack{2, 1, x} in x";
val nats = pc (readfile "cl/nats.cl");
val sieve = pc (readfile "cl/sieve.cl");
val takefrom = pc (readfile "cl/takefrom.cl");
val edigits = pc (readfile "cl/edigits.cl");
val fibs = pc (readfile "cl/fibs.cl");
val hamming = pc (readfile "cl/hamming.cl");

